<?php

namespace Dipper\Foundation\Nestedset;

use Illuminate\Support\ServiceProvider;
use Illuminate\Database\Schema\Blueprint;

class NestedsetServiceProvider extends ServiceProvider
{
    public function register()
    {
        Blueprint::macro('nestedset', function () {
            NestedsetColumns::columns($this);
        });

        Blueprint::macro('dropNestedset', function () {
            NestedsetColumns::dropColumns($this);
        });
    }
}
